RADIUS(8)

NAME
radius - nnrpd RADIUS password authenticator

SYNOPSIS
radius [-h] [-f config]

DESCRIPTION
radius is an nnrpd authenticator, accepting a username and password from nnrpd (given to nnrpd by a reader connection) and attempting to authenticate that username and password against a RADIUS server. See readers.conf(5) for more information on how to configure an nnrpd authenticator. It is useful for a site that already does user authentication via RADIUS and wants to authenticate news reading connections as well.

By default, radius reads pathetc/radius.conf for configuration information, but a different configuration file can be specified with -f. See radius.conf(5) for a description of the configuration file.

OPTIONS

-f config
    Read config instead of pathetc/radius.conf for configuration information.

-h  Print out a usage message and exit.

EXAMPLE
The following readers.conf(5) fragment tells nnrpd to authenticate all connections using this authenticator:

    auth radius {
        auth: radius
        default: <FAIL>
        default-domain: example.com
    }
"@example.com" will be appended to the user-supplied identity, and if RADIUS authentication failes, the user will be assigned an identity of "<FAIL>@example.com".

BUGS
It has been reported that this authenticator doesn't work with Ascend RADIUS servers, but does work with Cistron RADIUS servers. It's also believed to work with Livingston's RADIUS server. Contributions to make it work better with different types of RADIUS servers would be gratefully accepted.

This code has not been audited against the RADIUS protocol and may not implement it correctly.

HISTORY
The RADIUS authenticator was originally written by Aidan Cully. This documentation was written by Russ Allbery <rra@stanford.edu>.

$Id: radius.8 5896 2002-12-03 03:29:19Z rra $

SEE ALSO
nnrpd(8), radius.conf(5), readers.conf(5)

RFC 2865, Remote Authentication Dial In User Service.